Hooks:PostHook( WeaponTweakData, "init", "GlauberytModInit", function(self)

	self.glau_crew = deep_clone(self.uzi_crew)
	if not BeardLib.Utils:FindMod("RestorationMod") then
		self.glau_crew.DAMAGE = 2
		self.glau_crew.CLIP_AMMO_MAX = 16
		self.glau_crew.NR_CLIPS_MAX = 12
		self.glau_crew.auto.fire_rate = 0.09375
	end

	if self.glau then
		self.glau.attachment_points = {
			{
				name = "a_b_std",
				base_a_obj = "a_b",
				position = Vector3(0, -7, 0),
				rotation = Rotation(0, 0, 0)
			},
			{
				name = "a_b_long",
				base_a_obj = "a_b",
				position = Vector3(0, 0, 0),
				rotation = Rotation(0, 0, 0)
			},
			
			--Optic position
			{
				name = "a_o",
				base_a_obj = "a_o",
				position = Vector3(0, 0, -3),
				rotation = Rotation(0, 0, 0)
			},
			
			--Gadget Position
			{
				name = "a_fl",
				base_a_obj = "a_fl",
				position = Vector3(0, 0, 0),
				rotation = Rotation(0, 0, 0)
			}
		}
	end

end )